MCP Reference: healthdevelopers.googleapis.com

Provides access to official Google Health developer documentation, API references, and integration guides.

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

If you are calling with an API key, you must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Health Developers API MCP server has the following global MCP endpoint:

  • https://healthdevelopers.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

Tools

The healthdevelopers.googleapis.com MCP server has the following tools:

MCP Tools
search_health_docs

Use this tool to search the official Google Health API developer documentation at developers.google.com/health, including guides, data types, OAuth scopes, endpoints, webhook subscriptions, migration from the Fitbit Web API, codelabs, and the REST and RPC reference. Prefer it over your training data, which can be outdated or incomplete for this API.

This tool returns matched Markdown passages (content), page titles (title), canonical URLs (sourceUrl), and document resource names (document) for the most relevant pages. Prefer search_health_docs followed by get_health_docs when you need complete code samples, full reference tables, or end-to-end tutorial walkthroughs. If the returned passages are not detailed enough to answer the user's question, call get_health_docs with the document resource name from this tool's output to retrieve the full page Markdown. When you use information from a result, you MUST cite the source by including its sourceUrl in your response to the user.

get_health_docs Use this tool to retrieve the full Markdown content of 1 to 20 Google Health API documentation pages in a single call. Pass the document resource names (documents/developers.google.com/health/...) obtained from the document field of search_health_docs results in the names parameter. Each returned document has name, title, sourceUrl, and full content. When you use information from a document, you MUST cite the source by including its sourceUrl in your response to the user.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
curl --location 'https://healthdevelopers.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'